%define		source_name gmpc-wikipedia
Summary:	Wikipedia plugin for Gnome Music Player Client
Summary(pl.UTF-8):	Wtyczka wikipedia dla odtwarzacza Gnome Music Player Client
Name:		gmpc-plugin-wikipedia
Version:	11.8.16
Release:	3
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{source_name}-%{version}.tar.gz
# Source0-md5:	b8eb533fd2eb531f8e99da3228811b4f
URL:		http://gmpc.wikia.com/wiki/GMPC_PLUGIN_WIKIPEDIA
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gmpc-devel >= 0.19.0
BuildRequires:	gtk+2-devel >= 2:2.4
BuildRequires:	gtk-webkit-devel
BuildRequires:	intltool
BuildRequires:	libmpd-devel >= 0.19.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This GMPC plugin loopup Wikipedia for information about artists.

%prep
%setup -qn %{source_name}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/gmpc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gmpc/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gmpc/plugins/*.so
%{_datadir}/gmpc/plugins/wikipedia
%changelog
* Thu Aug 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gmpc-plugin-wikipedia.git;a=log;h=master

* Thu Aug 08 2013 Elan Ruusamäe <glen@delfi.ee> f07d762
- rebuild with new webkit/icu

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> e8507d3
- release 2 (by relup.sh)

* Sat Jan 28 2012 Elan Ruusamäe <glen@pld-linux.org> 751eb00
- up to 11.8.16

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> e069a3e
- BR: pkgconfig

* Sat Jan 22 2011 Karol Krenski <charles@pld-linux.org> 816e2c0
- BR: gettext-devel, intltool

* Sun Sep 12 2010 Artur Frysiak <artur@frysiak.net> c494324
- 0.20.0

* Sun Oct 04 2009 Artur Frysiak <artur@frysiak.net> 5da68e5
- updated to 0.19.0

* Sun Sep 13 2009 Artur Frysiak <artur@frysiak.net> 1d84155
- updated to 0.18.100

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7286f39
- drop obsolete files

* Sat Mar 28 2009 Artur Frysiak <artur@frysiak.net> 69ab212
- updated to 0.18.0

* Mon Feb 04 2008 czarny <czarny@pld-linux.org> d0ef01b
- new
- NFY; desc needed

